## python-cogapp 3.3.0

=== Makefile ===
# Makefile for cog work.

.PHONY: help clean sterile test kit pypi testpypi publish

help:		## Show this help.
	@echo "Available targets:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

clean:		## Remove artifacts of test execution, installation, etc.
	-rm -rf build
	-rm -rf dist
	-rm -f MANIFEST
	-rm -f *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	-rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo
	-rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class
	-rm -rf __pycache__ */__pycache__ */*/__pycache__
	-rm -f *.bak */*.bak */*/*.bak */*/*/*.bak
	-rm -f .coverage .coverage.* coverage.xml
	-rm -rf cogapp.egg-info htmlcov

sterile: clean		## Remove all non-controlled content.
	-rm -rf .tox*
	-rm -rf .pytest_cache .mutmut-cache

test:			## Run the test suite.
	tox

kit:			## Build distribution kits.
	python -m build
	twine check dist/*

pypi:			## Upload kits to PyPI.
	twine upload dist/*

testpypi:		## Upload kits to test PyPI
	twine upload --repository testpypi dist/*

cogdoc:
	# Normally I'd put this in a comment in index.px, but the
	# quoting/escaping would be impossible.
	python -m cogapp -crP --markers='{{{cog }}} {{{end}}}' index.px

WEBHOME = ~/web/stellated/pages/code/cog

publish:		## Move doc page to nedbat.com home.
	cp -v *.px $(WEBHOME)

=== debian/changelog ===
python-cogapp (3.3.0-3) unstable; urgency=medium

  * Sourceless upload to make buildd happy

 -- Dima Kogan <dkogan@debian.org>  Thu, 14 Sep 2023 09:35:19 -0700

python-cogapp (3.3.0-2) unstable; urgency=medium

  * Added copyright statement for debian/*

 -- Dima Kogan <dkogan@debian.org>  Sat, 19 Aug 2023 21:10:58 -0700

python-cogapp (3.3.0-1) unstable; urgency=medium

  * New release into Debian (Closes: #1032809)

 -- Dima Kogan <dkogan@debian.org>  Tue, 18 Jul 2023 21:37:02 -0700

=== debian/control ===
Source: python-cogapp
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-setuptools
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.6.1
Homepage: https://github.com/nedbat/cog
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cogapp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cogapp

Package: python3-cogapp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: cog content generation tool
 Cog is a file generation tool. It lets you use pieces of Python code as
 generators in your source files to generate whatever text you need.
 .
 Cog transforms files in a very simple way: it finds chunks of Python code
 embedded in them, executes the Python code, and inserts its output back into
 the original file. The file can contain whatever text you like around the
 Python code. It will usually be source code.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cogapp
%:
	dh $@ --with python3 --buildsystem=pybuild

# There's already a /usr/bin/cog in the Debian archive, so I rename this to
# "cogapp"
override_dh_auto_install:
	dh_auto_install
	mv debian/python3-cogapp/usr/bin/cog debian/python3-cogapp/usr/bin/cogapp

# The test suite is currently broken
override_dh_auto_test:
	true

## python-cogapp 3.4.1

=== Makefile ===
# Makefile for cog work.

.PHONY: help clean sterile test

help:			## Show this help.
	@echo "Available targets:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

clean:			## Remove artifacts of test execution, installation, etc.
	-rm -rf build
	-rm -rf dist
	-rm -f MANIFEST
	-rm -f *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	-rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo
	-rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class
	-rm -rf __pycache__ */__pycache__ */*/__pycache__
	-rm -f *.bak */*.bak */*/*.bak */*/*/*.bak
	-rm -f .coverage .coverage.* coverage.xml
	-rm -rf cogapp.egg-info htmlcov
	-rm -rf docs/_build

sterile: clean		## Remove all non-controlled content.
	-rm -rf .tox*
	-rm -rf .*_cache

test:			## Run the test suite.
	tox -q

# Docs

.PHONY: cogdoc dochtml

cogdoc:			## Run cog to keep the docs correct.
	# Normally I'd put this in a comment in index.px, but the
	# quoting/escaping would be impossible.
	python -m cogapp -crP --markers='{{{cog }}} {{{end}}}' docs/running.rst

dochtml:		## Build local docs.
	$(MAKE) -C docs html

# Release

.PHONY: dist pypi testpypi check_release

dist:			## Build distribution artifacts.
	python -m build
	twine check dist/*

pypi:			## Upload distributions to PyPI.
	twine upload --verbose dist/*

testpypi:		## Upload distributions to test PyPI
	twine upload --verbose --repository testpypi --password $$TWINE_TEST_PASSWORD dist/*

check_release: _check_manifest ## Check that we are ready for a release
	@echo "Release checks passed"

_check_manifest:
	python -m check_manifest

=== debian/changelog ===
python-cogapp (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sun, 22 Dec 2024 18:12:09 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all-dev,
-               python3-setuptools
+               python3-setuptools,
+               pybuild-plugin-pyproject
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.6.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/nedbat/cog/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-cogapp 3.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 # Makefile for cog work.
+
+# A command to get the current version from cogapp.py
+VERSION := $$(python -c "import cogapp.cogapp; print(cogapp.cogapp.__version__)")
 
 .PHONY: help clean sterile test
 
@@ -28,19 +31,24 @@
 
 # Docs
 
-.PHONY: cogdoc dochtml
+.PHONY: cogdoc lintdoc dochtml
+
+# Normally I'd put this in a comment in index.px, but the
+# quoting/escaping would be impossible.
+COGARGS = -cP --markers='{{{cog }}} {{{end}}}' docs/running.rst
 
 cogdoc:			## Run cog to keep the docs correct.
-	# Normally I'd put this in a comment in index.px, but the
-	# quoting/escaping would be impossible.
-	python -m cogapp -crP --markers='{{{cog }}} {{{end}}}' docs/running.rst
+	python -m cogapp -r $(COGARGS)
+
+lintdoc:		## Check that the docs are up-to-date.
+	@python -m cogapp --check --check-fail-msg='Docs need to be updated: `make cogdoc`' --diff $(COGARGS)
 
 dochtml:		## Build local docs.
 	$(MAKE) -C docs html
 
 # Release
 
-.PHONY: dist pypi testpypi check_release
+.PHONY: dist pypi testpypi tag release check_release _check_credentials _check_manifest _check_tree _check_version
 
 dist:			## Build distribution artifacts.
 	python -m build
@@ -52,8 +60,33 @@
 testpypi:		## Upload distributions to test PyPI
 	twine upload --verbose --repository testpypi --password $$TWINE_TEST_PASSWORD dist/*
 
-check_release: _check_manifest ## Check that we are ready for a release
+tag:			## Make a git tag with the version number
+	git tag -s -m "Version $(VERSION)" v$(VERSION)
+	git push --all
+
+release: _check_credentials clean check_release dist pypi tag ## Do all the steps for a release
+	@echo "Release $(VERSION) complete!"
+
+check_release: clean dist _check_manifest _check_tree _check_version ## Check that we are ready for a release
 	@echo "Release checks passed"
+
+_check_credentials:
+	@if [[ -z "$$TWINE_PASSWORD" ]]; then \
+		echo 'Missing TWINE_PASSWORD'; \
+		exit 1; \
+	fi
 
 _check_manifest:
 	python -m check_manifest
+
+_check_tree:
+	@if [[ -n $$(git status --porcelain) ]]; then \
+		echo 'There are modified files! Did you forget to check them in?'; \
+		exit 1; \
+	fi
+
+_check_version:
+	@if git tag | grep -q -w v$(VERSION); then \
+		echo 'A git tag for this version exists! Did you forget to bump the version?'; \
+		exit 1; \
+	fi

=== debian/changelog ===
python-cogapp (3.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 02 Jan 2026 11:11:09 -0800
